Storage Pools
- POST /storage/pools/create
Create a storage pool
Create a new storage pool in the infrastructure
- Status Codes:
201 Created – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- DELETE /storage/pools/delete
Delete a storage pool
Delete a storage pool from the infrastructure
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /storage/pools/list
List storage pools
Get a list of all storage pools with optional filters
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /storage/pools/maintenance/cancel
Cancel storage maintenance
Cancel maintenance mode for a storage pool
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /storage/pools/maintenance/enable
Enable storage maintenance
Enable maintenance mode for a storage pool
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /storage/pools/metrics
ListStoragePoolsMetrics
Get metrics for all storage pools
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /storage/pools/metrics/by-id
GetStoragePoolsMetricByID
Get metrics for a storage pool by ID
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /storage/pools/metrics/by-name
GetStoragePoolsMetricByName
Get metrics for a storage pool by name
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /storage/pools/providers/list
ListStorageProviders
Get a list of available storage providers
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /storage/pools/scope/affected-vms
ListAffectedVms
Get a list of VMs affected by storage pool changes
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /storage/pools/scope/change
ChangeStoragePoolScope
Change the scope of a storage pool
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error
- POST /storage/pools/update
Update storage pool
Update the configuration of an existing storage pool
- Status Codes:
200 OK – Success response
400 Bad Request – Invalid request payload
500 Internal Server Error – Internal server error